Bug Hunting Session
Bug 90023 - UI: Navigator item tooltip displays over two monitors
Summary: UI: Navigator item tooltip displays over two monitors
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 92980 94972 117279 120021 (view as bug list)
Depends on:
Blocks: Multimonitor
  Show dependency treegraph
 
Reported: 2015-03-15 17:09 UTC by Gordo
Modified: 2019-09-28 03:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Tooltip unreadable (53.85 KB, image/png)
2016-07-04 10:42 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-15 17:09:29 UTC
I am running dual monitors with LO on the second monitor (right position).  I have set a paragraph style to have an outline level which I use as the first paragraph of related information (essentially a chapter).  I can navigate to those sections with the Headings in the navigator which I have docked on the left side of the window.  Hovering over the headings shows the full text of the heading, but it extends over to the first monitor from the left of the mouse pointer.

1. Have two monitors and set to be side by side.
2. Open LO on second monitor (right).
3. Maximize (but say it like you are performing an action in Japanese anime; sorry about that, sometimes being serious gets to be too much).
4. New Text Document.
5. Dock Navigator on left.
6. Apply heading style.
7. Type a long heading.
8. Hover over heading in Navigator.
Expected Result:
Text is displayed to the right of the mouse pointer so that even if the first monitor is switched off, the text is all readable on the second monitor.
Result:
Text is displayed to the left of the mouse pointer and extends onto first monitor.

Incidentally, if LO is on the first monitor (or if just single monitor) and it is unmaximized, then the tooltip can display to the left of the mouse pointer.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 raal 2015-05-13 11:59:16 UTC
I can confirm with LO 4.4.3, win7
Comment 2 Gordo 2015-07-28 13:58:56 UTC
*** Bug 92980 has been marked as a duplicate of this bug. ***
Comment 3 Buovjaga 2015-10-13 17:31:00 UTC
*** Bug 94972 has been marked as a duplicate of this bug. ***
Comment 4 Samuel Mehrbrodt (CIB) 2016-07-04 10:42:29 UTC
Created attachment 126057 [details]
Tooltip unreadable
Comment 5 Samuel Mehrbrodt (CIB) 2016-07-04 10:43:26 UTC
The same problem appears with the Sidebar tab tooltips (see attachment 126057 [details]).
Comment 6 QA Administrators 2017-11-26 17:11:17 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2018-06-08 14:46:20 UTC
*** Bug 117279 has been marked as a duplicate of this bug. ***
Comment 8 Aron Budea 2018-09-27 00:05:41 UTC
*** Bug 120021 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2019-09-28 03:04:38 UTC
Dear Gordo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug